package cn.forevermc.launcher.bean;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 运行时下载源
 *
 * @author 夜雨
 * @since 2024-06-07 00:13
 */
@Getter
@AllArgsConstructor
public enum RuntimeDownloadSource {

	/** ForeverMC */
	FOREVER_MC("ForeverMC", "OpenJDKMirror"),

	/** 清华大学 */
	TUNA("Tsinghua Tuna", "OpenJDKTunaMirror"),

	/** Github */
	GITHUB("Github", "OpenJDKGithubMirror");

	/** 名称 */
	final String name;

	final String mirror;
}
